Page MenuHomePhabricator

Move Spelling-Dictionary extension to Git/Gerrit
Closed, ResolvedPublic

Description

The current code for the extension lies here at Github . This small task is about creating an instance of the codebase in Gerrit too. This will help the students to understand the usage and utility of Gerrit more clearly and concisely.

Event Timeline

Ankitashukla claimed this task.
Ankitashukla raised the priority of this task from to Needs Triage.
Ankitashukla updated the task description. (Show Details)
Ankitashukla moved this task to General on the Spelling-Dictionary board.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 7:47 PM

I will mentor this in #GCI2015

Hi, could you elaborate by updating the task description?
Is this https://www.mediawiki.org/wiki/Git/New_repositories/Requests ?

Hi,

The current code for the extension lies here at Github . This small task is about creating an instance of the codebase in Gerrit too. This will help the students to understand the usage and utility of Gerrit more clearly and concisely.

@Ankitashukla: Thanks for elaborating. Please feel encouragted to click "Edit Task" to add such important information directly to the task summary, instead of "hiding" it in some comment somewhere down in the task discussion. :)
Creating a codebase instance in Wikimedia Git/Gerrit requires special permissions as far as I know (please correct me if I'm wrong!) - as this task is proposed for GCI I wonder how any "random" contributor without such permissions could actually work on this task and solve it?

He must ask for the repository to be created and to become its owner, right?

Aklapper renamed this task from Move extension to Gerrit to Move Spelling-Dictionary extension to Git/Gerrit.Nov 2 2015, 9:52 AM
Aklapper removed a project: Google-Code-In-2015.
Aklapper set Security to None.

@Purodha : Yes. However, I am not sure if a GCI student would be given such privileges.

@Purodha : Yes. However, I am not sure if a GCI student would be given such privileges.

Ankitashukla updated the task description. (Show Details)Nov 2 2015, 10:17 AM

Have submitted a request for a Gerrit repo.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 31 2015, 2:49 PM
Aklapper closed this task as Resolved.Nov 17 2016, 7:24 PM

Indeed.